# Uses of Interface
org.opensaml.saml.ext.saml2mdattr.EntityAttributes

Packages that use EntityAttributes
Package
Description
org.opensaml.saml.ext.saml2mdattr.impl
Implementation for SAML v2.0 Metadata Extension for Entity Attributes Version 1.0.
org.opensaml.saml.metadata.resolver.filter.impl
Implementation of Metadata Filters.

## Uses of EntityAttributes in org.opensaml.saml.ext.saml2mdattr.impl

Classes in org.opensaml.saml.ext.saml2mdattr.impl that implement EntityAttributes
Modifier and Type
Class
Description
`class`
`EntityAttributesImpl`
Concrete implementation of `EntityAttributes`.
Methods in org.opensaml.saml.ext.saml2mdattr.impl that return EntityAttributes
Modifier and Type
Method
Description
`EntityAttributes`
EntityAttributesBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`EntityAttributes`
EntityAttributesBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of EntityAttributes in org.opensaml.saml.metadata.resolver.filter.impl

Fields in org.opensaml.saml.metadata.resolver.filter.impl with type parameters of type EntityAttributes
Modifier and Type
Field
Description
`private final SAMLObjectBuilder<EntityAttributes>`
EntityAttributesFilter.`entityAttributesBuilder`
Builder for `EntityAttributes`.
Methods in org.opensaml.saml.metadata.resolver.filter.impl with parameters of type EntityAttributes
Modifier and Type
Method
Description
`private void`
EntityAttributesFilter.`addEntityAttribute(EntityDescriptor descriptor, EntityAttributes container, Attribute input)`
Get or create `Attribute` based on the input/template object.